:root
{
    --machine-color-dark: rgb(19, 115, 179); 
    --machine-color-medium: rgb(108, 162, 183); 
    --machine-color-light: rgb(135,206,235); /* skyblue */

    --batch-color-dark: rgb(192,94,0);
    --batch-color-medium: rgb(228,108,0);
    --batch-color-light: rgb(255,128,0);

    --stock-color-dark: rgb(16,93,140);
    --stock-color-medium: rgb(70,130,180);
    --stock-color-light: rgb(94,152,203);

    --batchList-color-dark: dimgray; 
    --batchList-color-light: gray;
    --batchList-color-dark-img: linear-gradient(to top, rgba(0,0,0,0.5) 50%, var(--batchList-color-dark));
    --batchList-color-light-img:linear-gradient(to top,var(--batchList-color-dark) 50%, var(--batchList-color-light));

    --main-color-text: black;
    --main-color-light: gainsboro;
    --main-color-dark: darkgray;

    --table-header: rgba(0,0,0,1);
}

* { box-sizing: border-box; }

html
{
	display: flex;
	width: 100vw;
	margin: 0px;
	touch-action: manipulation;
}

body
{
	-webkit-user-select: none;
	-webkit-tap-highlight-color: transparent;
	-webkit-touch-callout: none;
	
	margin: 0px;
	background: rgb(255, 255, 255);
	font-family: Arial, Helvetica, sans-serif;
}

input
{
	border-width: 2px;
	border-radius: 8px;
	border-color: black;
}

a:link, a:visited
{
	display: flex;
	color: black;
	width: 14vw;
	align-items: center;
	text-align: center;
	justify-content: center;
	text-decoration: none;

	border-radius: 8px;
	border-width: 2px;
	border-style: solid;
	border-color: black;
  }
  
a:hover, a:active
{
	background-color:  rgb(50, 182, 94);
}

.fa, .far, .falower
{
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  line-height: 1; 

  display: flex;
  align-items: center;
  justify-content: left;

  height: 4vh;

  margin: 0vh 0.5vw 0 0;
  padding-left: 0.1vh;

  font-size: 2.5vh;

}

.falower
{
    margin: 2vh 0 0 0; /* oben rechts unten links*/
}

.fa-copy, .fa-download, .fa-clipboard, .fa-info, .fa-plus_circle, .fa-minus_circle, .fa-higher, .fa-minus_circle_right, .fa-ban, .fa-empty
{
    display: inline-block;
    height: fit-content;
    text-align: center;

    padding-top: 0.2vh;
    xwidth:14px;
}

.fa-higher
{
    margin-top: 0.4vh;
}

.fa-clipboard:after
{
    content: ' \f328';
}

.fa-copy:after
{
    content: ' \f0c5';
}

.fa-download:after
{
    content: ' \f1c1';
}

.fa-info:after
{
    content: ' \f129';
    font-size: 1.2vw;
}


.fa-empty
{
    content: ' ';
    font-size: 1.2vw;
    /* Warum ist das notwendig? */
    width:0.5vw;
}


.fa-hand-holding:after
{
    content: '   \f4bd';
    margin-left: 1vw;
}

.fa-plus_circle:after
{
    content: ' \f055';
    margin-left: 1vw;
    position:relative;  /* coord system stop */
    color: forestgreen;
}

.fa-minus_circle:after
{
    content: ' \f056';
    margin-left: 1vw;
    position:relative;  /* coord system stop */
    color: orangered;
}


.fa-minus_circle_right:after
{
    content: ' \f056';
    margin-left: 1vw;

    color: orangered;
}

.fa-ban:after
{
    content: ' \f05e';
    margin-left: 1vw;
    color: black;
}

.fa-copy:hover::after, .fa-download:hover::after, .fa-clipboard:hover::after
{
    color: rgb(66, 180, 155);
}

/*********************************************/
.outPasswordMessage
{
    width: 100vw;

    margin-top: 5vh;

    text-align: center;

    font-size: 5.5vh;
}

/*********************************************/
.successful
{
    color: forestgreen;
}

.failed
{
    color:orangered;
}

/*********************************************/
.flexRow
{
    display: flex;
    flex-direction: row;
    direction: ltr;
}

.flexRowHeight2
{
    min-height: 2vw;
}

.flexRowTopBorder
{
    display: flex;
    flex-direction: row;
    direction: ltr;

    width: 100vw;
    border-top: 2px solid white;
}

.flexRow2
{
    display: flex;
    flex-direction: column;
    direction: ltr;

    width: 100vw;
}

/*********************************************/
.message
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;

    width: 100vw;

    font-family: Arial, Helvetica, sans-serif;
    font-size: 3.5vh;

    color: var(--main-color-text);
    background: var(--main-color-light);
    height: 100%;
}

.fullpage
{
    display: flex;
    flex-direction: column;
    width: 100vw;
    height: 100vh;
    background: white;
    margin: 0px;
}

.header
{
    display: flex;
    margin: 0px;
    width: 100%;
    height: 10vh;
    background: var(--main-color-dark);
}

.header.logo 
{
    display: flex;

    margin-left: 1vw;
    margin-right: 1vw;

    background-image: url("../images/BaldwinLogo.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    width: 18vw;
    max-width: 18vw;
}

.headLine
{
    display: flex;
    flex-direction: column;
    width: 78vw;
    height: 8vh;
    margin-left: 1vw;
    margin-top: 1vh;
    background: var(--main-color-dark); 
    color: black;
    padding: 0px;
}

.main
{
    display: flex;
    flex-direction: column;
    flex: 0 0 auto;
    overflow: auto;
    margin: 0px;
    width: 100vw;
    height: 80vh;
    background: var(--main-color-light);
}

.footer
{
    display: flex;
    flex-direction: row-reverse;
    margin: 0px;
    width: 100vw;
    height: 10vh;
    background: var(--main-color-dark);
}

/*********************************************/
.customerText
{
    display: flex;
    width: 78vw;
    height: 4vh;
    margin-left: 1vw;
    background: darkgray; 
    padding: 0px;
    font-size: 3.5vh;
}

.smallHeight
{
    height:2vh !important;
}

.userText
{
    display: flex;
    width: 78vw;
    height: 1.5vh;
    margin-left: 1vw;
    background: darkgray; 
    padding: 0px;
    font-size: 1.5vh;
}

.errorText
{
    display: flex;
    width: 78vw;
    height: 8vh;
    color: darkred;
    background: darkgray; 
    padding: 0px;
    font-size: 2.5vh;
    align-items: center;
    justify-content: center;
}

.customerLink
{
    margin-top: 2px !important;
    border-radius: 4px !important;
    width: 100vw !important;
    height: 4vh !important;
    text-align: left !important;
    align-items: left !important;
    justify-content: left !important;
    padding-left: 0.2vw !important;
    font-size: 2.5vh;
    border-color: black !important;
    background-image: var(--customer-color-light-img) !important;
}

.labeledValue, .labeledValueSmall
{
    display: flex;
    flex-direction: row;
 
    margin: 0px;
 
    width: 100%;
    height: 8vh;
 
    background: transparent;
    font-size: 3.5vh;
}

.Width55er
{
    float:left;

    width: 55vw;
    height: 8vh;
}

.Width45er
{
    width: 45vw;
    float:left;
}



.labeledValueSmall
{
    height: 4vh;
}

.flexValue
{
    display: flex;
    flex-direction: row;
    margin: 0px;
    width: 100vw;
    background: transparent;
    font-size: 3.5vh;
}

.label, .inputLabel, .inputCheckbox, .inLabelRight, .inputLabelWide, .inputLabelWide2, .inputLabelWide3, .inLabelS
{
    display: flex;
    height: 4vh;
    margin: 2vh 0.5vw 0 0.5vw;
    align-items: center;
    justify-content: left;
    padding-left: 0.1vh;
    font-size: 2.5vh;
    color: black;
}

.labelUpperDescription
{
    align-items: left;
    justify-content: left;
    margin:  2vh 0 -2.5vh 0.5vw; /* upper, right, lower, left */
    height: auto;
}

.inputLabelWide
{
    width: 30vw;
}

.inputLabelWide2
{
    width: 50vw;
}

.inputLabelWide3
{
    width: 80vw;
}


.inLabelS
{
    width: 25vw;
}

.inLabelRight
{
    width: 19vw;
    text-align: right;
}

.inputCheckbox
{
    margin: 2vh 0 0 0;
    width: 10vw;
}

.inputLabel
{
    width: 19vw;
}

.inputValue
{
    display: flex;
    width: 79vw;
    margin: 0.5vh 0.5vw 0.5vh 0.5vw;
    align-items: left;
    justify-content: left;
    text-align: left;
    padding-left: 1vw;
    font-size: 2.5vh;
    background: transparent;
}

.lblPartNr
{
    display: flex;
    width: 30vw;
    height : 40%;
    margin: 0.5vh 0vw 0vh 0vw; /* top, right, bottom, left */
    padding-left: 1vw;
    font-size: 2.5vh;
    background: transparent;
}

.lblDesc
{
    display: flex;
    width: 30vw;
    height : 50%;
    margin: 0vh 0vw 0vh 0vw; /* top, right, bottom, left */
    padding-left: 1vw;
    font-size: 2vh;
    background: transparent;
}

.inputField
{
    display: flex;
    flex-direction: row-reverse;
    width: 5vw;
    
    min-width: 90px;
    margin: 0.5vh 0.5vw 0.5vh 0.5vw;
    border-radius: 8px;
    border-color: black;
    border-style: solid;
    align-items: center;
    padding-right: 1vw;

    text-align: right;
    padding-right: 1vw;
    border-width: 2px;
    font-size: 2.5vh;

    background: transparent;
}

.inputClothAmount
{
    width: 5vw;
}

.lblClothLength
{
    display: flex;
    height: 100%;
    padding-left: 0.1vh;
    align-items: center;
    font-size: 2.2vh;
    color: black;
}

.inputValueSmall
{
    display: flex;
    width: 20vw;
    margin: 0.5vh 0.5vw 0.5vh 0.5vw;
    align-items: center;
    justify-content: center;
    padding-left: 1vw;
    font-size: 2.5vh;
    background: transparent;
}

.outputValueRolls, .inputValueRolls, .inputValueNone
{
    display: flex;
    flex-direction: row-reverse;
    width: 7vw;
    height: 7vh;
    min-width: 90px;
    margin: 0.5vh 0.5vw 0.5vh 0.5vw;
    border-radius: 8px;
    border-color: black;
    border-width: 3px;
    border-style: solid;
    align-items: center;
    padding-right: 1vw;
    font-size: 3.5vh;
}

.inputValueRolls
{
    height: 7vh;
    font-size: 3.5vh;
    text-align: right;
    padding-right: 1vw;
    border-width: 2px;
    font-size: 2.5vh;
    background: var(--machine-color-light); 
}

.inputValueNone
{
    text-align: right;

    border-width: 2px;
    font-size: 2.5vh;
    background: var(--machine-color-light); 

    border-width: 0px !important;
}

.outFontMedium
{
    font-size: 2.5vh;
}

.outPartNr
{
    width: 15vw;
    text-align: right;

    margin: 0.5vh 0.5vw 0.5vh 0.5vw;
    padding-right: 1vw;

    font-size: 2.5vh;
}

.outTableHeader
{
    text-align: center !important;
    font-size: 2.5vh;
}

.outTableLeft
{
    margin-top: 2px;
    margin-bottom: 2px;

    text-align: left;
    font-size: 2.5vh;
}

.outTableRight
{
    margin-top: 2px;
    margin-bottom: 2px;

    text-align: right;
    font-size: 2.5vh;
}

.licInfo
{
    width: 10vw;
    text-align: left;

    font-size: 2vh;
}

.licInfoWide
{
    width: 20vw;
    text-align: left;

    font-size: 2vh;
}

.outBatch, .outBatchDate, .outBatchRolls, .outBatchName
{
    width: 20vw;
    text-align: right;

    margin: 0.5vh 0.5vw 0.5vh 0.5vw;
    padding-right: 1vw;

    font-size: 2.5vh;
}

.outNormal
{
    text-align: left;
    margin: 0.5vh 0.5vw 0.5vh 0.5vw;
    padding-right: 1vw;

    font-size: 2.5vh;}

.outBatchDate
{
    width: 20vw;
}

.outBatchRolls
{
    width: 14vw;
    word-wrap: break-word;
}

.outBatchName
{
    width: 40vw;
    
    text-align: left;

    word-wrap: break-word;
}



.licenseList
{
    display: flex;
    flex-direction: column;
    flex: 0 0 auto;
    overflow: auto;
    margin: 0px;
    margin-left: 2vw;
    min-height: 5vh;
    background: skyblue;

    font-size: 2vh;
    font-family: monospace;
    font-weight: bold;
    direction: rtl;
    overflow-y: scroll !important;
}

.licText
{
    display: inline-block;
    margin-left: 1.0vw;
    padding-left: 1.0vw;
    height: fit-content;
    font-size: 1.5vw;
    border-style: none;
    outline: none;
    resize: none;
    background-color: inherit;
    font-weight: inherit;
    border-width: 1;
    border-style: groove;
    border-color: black;
}

.licDate
{
    display: inline-block;
    margin-left: 1vw;
    margin-right: 1vw;
    background: inherit;
    height: fit-content;
    font-size: 1.5vw;
    font-weight: normal;
    padding-top: 0.15vw;
}


/*********************************************/
.group
{
    margin-top: 3px;
}

.groupHeader
{
    display: flex;
    flex-direction: row;

    width: 100%;

    margin: 0px;
    padding-top: 0.5vh;
    padding-left: 0.5vw;
    padding-right:-0.5vw;

    font-size: 3.5vh;

    background: black;
    color: white;
}

/*********************************************/
.stockGroup
{
    background: var(--stock-color-light);
}

.stockGroupHeader
{
    background: var(--stock-color-dark);
}

.batchGroup
{
    background: var(--batch-color-light);
}

.batchGroupHeader
{
    background: var(--batch-color-dark);
}

.machineGroup
{
    background: var(--machine-color-light);
}

.machineGroupHeader
{
    background: var(--machine-color-dark);
}

/* for firefox. Aber dann geht beim Login das Userid Feld nicht mehr linksbündig */
/* input[type=text] {
    padding:5px; 
    border:2px solid black; 
    -webkit-border-radius: 8px;
    border-radius: 8px;
    text-align: center;
} */


/*********************************************/
.button
{
    width: 14vw;

    margin: 1vh 1vw 1vh 1vw;
    padding: 0px;

    font-family: Arial, Helvetica, sans-serif;
    font-size: 2vh;

    align-items: center;
    justify-content: center;

    /* Standard, um zu sehebn, ob die Buttons auch sauber mit der richtigen Klasse hinterlegt sind (Bsp. button submitButton) */
    border-color: black;
    background: repeating-linear-gradient(
        45deg,
        rgba(255,0,0,0.5),
        rgba(0,255,0,0.5) 2px,
        transparent 1px,
        transparent 2px
      );
}

/*********************************************/
.batchButton
{
    background: var(--batch-color-light); 
}

.infoButton
{
    background: var(--main-color-light); 
}


.batchButton:hover
{
    background: var(--batch-color-dark);
}

.logoutButton
{
    height: 80%;
    border-width: 0px !important;
    background: gray;
}

.logoutButton:hover
{
    background: dimgray;
}

.backButton
{
    background: gray;
}

.backButton:hover
{
    background: dimgray;
}

.submitButton
{
    background: rgb(66, 238, 14); 
    border-color: black;
}

.submitButton:hover
{
    background: rgb(60, 138, 14); 
}

.clearButton
{
    background: rgb(255, 255, 255, 0.0);
    border-color: black;
}

/* ********************************************* */
/*                  Borderline                   */
/* ********************************************* */
.borderline
{
    width: 100%;
    height: 1px;
    color: white;
}

/* ********************************************* */
/*                  Scrollable                   */
/* ********************************************* */
.scrollable
{
    overflow-y:auto;
}

.midheight
{
    max-height:23vh;
}

/* ********************************************* */
/*                    Header                     */
/* ********************************************* */
.container
{
    display: flex;
}

.left
{
    float:left;
    width:85%;
    overflow:hidden;
}

.right
{
    height: 8vh;
    overflow:hidden;
}

/* ********************************************* */
/*                    Table                      */
/* ********************************************* */
div.table
{
    display: table;
    border-collapse:collapse;
}

div.tr
{
    display:table-row;
}

div.th
{
    display:table-header-group;
    text-align: left;
    background: rgba(0,0,0,0.3);
    font-family: Arial, Helvetica, sans-serif;
    font-size: 2.5vh;
}

div.td
{
    display:table-cell;
    border:thin solid rgba(0,0,0,0.1);
    padding:5px;
}


table
{
    border-collapse: collapse;
}


th
{
    text-align: left;
    border-bottom: 1px solid black;
}

td
{
    min-width: 10vw;
    border: 1px solid rgba(0,0,0,0.2) !important;

}

th, td
{
    word-break: break-all;
    word-wrap: break-word;
    white-space: initial;
}

tr:nth-child(even) { background-color: rgba(0,0,0,0.1); }

/*This will work on every browser but Chrome Browser*/
.table-fixed thead
{
    position: sticky;
    position: -webkit-sticky;
    top: 0;
    z-index: 999;
    background-color: var(--table-header);
}

/*This will work on every browser*/
.table-fixed thead th
{
    position: sticky;
    position: -webkit-sticky;
    top: 0;
    z-index: 999;
    background-color: var(--table-header);
}

/* ------------------------------------------------------- */

/* Tooltip container */
.tooltip
{
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted black; /* If you want dots under the hoverable text */
}

/* Tooltip text */
.tooltip .tooltiptext
{
    visibility: hidden;
    width: 250px;
    background-color: #555;
    color: #fff;
    text-align: center;
    padding: 5px 0;
    border-radius: 6px;

    font-size: 2vh;

    /* Fade in tooltip */
    opacity: 0;
    transition: opacity 0.3s;
}

.tooltiptext
{
    /* Position the tooltip text */
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 50%;
    margin-left: -60px;
}

/* Tooltip arrow Upper */
.tooltip .tooltiptext::after
{
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
}

/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext
{
    visibility: visible;
    opacity: 1;
}





.tt
{
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted black; /* If you want dots under the hoverable text */
}

/* Tooltip text */
.tt .tttext
{
    visibility: hidden;
    width: 250px;
    background-color: #555;
    color: #fff;
    text-align: center;
    padding: 5px 0;
    border-radius: 6px;

    font-family: monospace;
    font-size: 2vh;

    /* Fade in tt */
    opacity: 0;
    transition: opacity 0.3s;
}

.tttext
{
    /* Position the tt text */
    position: absolute;
    z-index: 1;
    left: 110%;
}

/* Tooltip arrow Upper */
.tt .tttext::after
{
    content: "";
    position: absolute;

    border-color: #555 transparent transparent transparent;
}

/* Show the tt text when you mouse over the tt container */
.tt:hover .tttext
{
    visibility: visible;
    opacity: 1;
}



/* Show the tt text when you mouse over the tt container */

  /* ------------------------------------------------------- */
